com.sun.syndication.feed.module

## Class ModuleImpl

- java.lang.Object
- - com.sun.syndication.feed.module.ModuleImpl

All Implemented Interfaces:
  CopyFrom, Module, java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  DCModuleImpl, SyModuleImpl

    public abstract class ModuleImpl
    extends java.lang.Object
    implements java.lang.Cloneable, java.io.Serializable, Module

Base class for modules describing Metadata of feeds, default implementations. Examples of such modules are the Dublin Core and Syndication modules.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`protected` `ModuleImpl(java.lang.Class beanClass, java.lang.String uri)` Constructor.

### Method Summary

Methods
`java.lang.Object` `clone()` Creates a deep 'bean' clone of the object.
`boolean` `equals(java.lang.Object other)` Indicates whether some other object is "equal to" this one as defined by the Object equals() method.
`java.lang.String` `getUri()` Returns the URI of the module.
`int` `hashCode()` Returns a hashcode value for the object.
`java.lang.String` `toString()` Returns the String representation for the object.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.sun.syndication.feed.CopyFrom

`copyFrom, getInterface`

### Constructor Detail

#### ModuleImpl

    protected ModuleImpl(java.lang.Class beanClass,
              java.lang.String uri)

Constructor.

Parameters:
  `uri` - URI of the module.

### Method Detail

#### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

Creates a deep 'bean' clone of the object.

Specified by:
  `clone` in interface `Module`
Overrides:
  `clone` in class `java.lang.Object`
Returns:
  a clone of the object.
Throws:
  `java.lang.CloneNotSupportedException` - thrown if an element of the object cannot be cloned.

#### equals

    public boolean equals(java.lang.Object other)

Indicates whether some other object is "equal to" this one as defined by the Object equals() method.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `other` - he reference object with which to compare.
Returns:
  true if 'this' object is equal to the 'other' object.

#### hashCode

    public int hashCode()

Returns a hashcode value for the object.

It follows the contract defined by the Object hashCode() method.

Overrides:
  `hashCode` in class `java.lang.Object`
Returns:
  the hashcode of the bean object.

#### toString

    public java.lang.String toString()

Returns the String representation for the object.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  String representation for the object.

#### getUri

    public java.lang.String getUri()

Returns the URI of the module.

Specified by:
  `getUri` in interface `Module`
Returns:
  URI of the module.